package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TShouhuanInfoMapper;
import com.ruoyi.system.domain.TShouhuanInfo;
import com.ruoyi.system.service.ITShouhuanInfoService;

/**
 * 手环信息 实时数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-07
 */
@Service
public class TShouhuanInfoServiceImpl implements ITShouhuanInfoService 
{
    @Autowired
    private TShouhuanInfoMapper tShouhuanInfoMapper;

    /**
     * 查询手环信息 实时数据
     * 
     * @param id 手环信息 实时数据主键
     * @return 手环信息 实时数据
     */
    @Override
    public TShouhuanInfo selectTShouhuanInfoById(Long id)
    {
        return tShouhuanInfoMapper.selectTShouhuanInfoById(id);
    }

    /**
     * 查询手环信息 实时数据列表
     * 
     * @param tShouhuanInfo 手环信息 实时数据
     * @return 手环信息 实时数据
     */
    @Override
    public List<TShouhuanInfo> selectTShouhuanInfoList(TShouhuanInfo tShouhuanInfo)
    {
        return tShouhuanInfoMapper.selectTShouhuanInfoList(tShouhuanInfo);
    }

    /**
     * 新增手环信息 实时数据
     * 
     * @param tShouhuanInfo 手环信息 实时数据
     * @return 结果
     */
    @Override
    public int insertTShouhuanInfo(TShouhuanInfo tShouhuanInfo)
    {
        return tShouhuanInfoMapper.insertTShouhuanInfo(tShouhuanInfo);
    }

    /**
     * 修改手环信息 实时数据
     * 
     * @param tShouhuanInfo 手环信息 实时数据
     * @return 结果
     */
    @Override
    public int updateTShouhuanInfo(TShouhuanInfo tShouhuanInfo)
    {
        return tShouhuanInfoMapper.updateTShouhuanInfo(tShouhuanInfo);
    }

    /**
     * 批量删除手环信息 实时数据
     * 
     * @param ids 需要删除的手环信息 实时数据主键
     * @return 结果
     */
    @Override
    public int deleteTShouhuanInfoByIds(Long[] ids)
    {
        return tShouhuanInfoMapper.deleteTShouhuanInfoByIds(ids);
    }

    /**
     * 删除手环信息 实时数据信息
     * 
     * @param id 手环信息 实时数据主键
     * @return 结果
     */
    @Override
    public int deleteTShouhuanInfoById(Long id)
    {
        return tShouhuanInfoMapper.deleteTShouhuanInfoById(id);
    }
}
